apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: { { .Release.Name } }
  namespace: { { .Release.Namespace } }
spec:
  ingressClassName: nginx
  rules:
    - host: { { .Values.host } }
      http:
        paths:
          - backend:
              service:
                name: { { .Release.Name } }
                port:
                  number: { { .Values.env.PORT | default 5000 } }
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - { { .Values.host } }
      secretName: "{{ .Release.Name }}-tls"
